View Issue Details

IDProjectCategoryView StatusLast Update
0025086LazarusLCLpublic2013-10-03 05:32
ReporterThomas FreyAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformMACOSOSXOS Version
Product Version1.0.10Product Build 
Target Version1.2.0Fixed in Version1.3 (SVN) 
Summary0025086: Selected filter in TSaveDialog sets wrong extension, returns wrong index
DescriptionTSaveDialog item indexes are 1 based, the index in Carbon is 0 based. The index is not re-based to 1 when returning from
class procedure TCarbonWSFileDialog.ShowModal(const ACommonDialog: TCommonDialog);

Suggested fix:
replace
FileDialog.FilterIndex := FilterIndex;
by
FileDialog.FilterIndex := FilterIndex + 1;
in
carbonwsdialogs.pp (TCarbonWSFileDialog.ShowModal)

Steps To ReproducePlace a TSaveDialog on a form. Add 3 filters and print the returned file name plus filter index. Run, select 2nd filter and give a name, close the dialog with save.

Expected result: file name should have the extension of the second filter and filter index should be 2. Observed result: extension is of the first filter, filter index is 1.
TagsCarbon
Fixed in Revision403061
LazTarget1.2
WidgetsetCarbon
Attached Files

Activities

Jesus Reyes

2013-10-03 05:32

developer   ~0070500

Please test.

Issue History

Date Modified Username Field Change
2013-09-25 21:50 Thomas Frey New Issue
2013-10-01 22:33 Thomas Frey Tag Attached: Carbon
2013-10-02 01:11 Jesus Reyes Assigned To => Jesus Reyes
2013-10-02 01:11 Jesus Reyes Status new => assigned
2013-10-03 05:32 Jesus Reyes Fixed in Revision => 403061
2013-10-03 05:32 Jesus Reyes LazTarget => 1.2
2013-10-03 05:32 Jesus Reyes Note Added: 0070500
2013-10-03 05:32 Jesus Reyes Status assigned => resolved
2013-10-03 05:32 Jesus Reyes Fixed in Version => 1.3 (SVN)
2013-10-03 05:32 Jesus Reyes Resolution open => fixed
2013-10-03 05:32 Jesus Reyes Target Version => 1.2.0